#ifndef	CUPSDDIALOG_H
#define	CUPSDDIALOG_H

#include "mydialogbase.h"
#include <qlist.h>

class CupsdPage;
struct CupsdConf;

class CupsdDialog : public MyDialogBase
{
	Q_OBJECT;
public:
	CupsdDialog(QWidget *parent = 0, const char *name = 0);
	~CupsdDialog();

	bool setConfigFile(const QString& filename);

	static void configure(const QString& filename = QString::null, QWidget *parent = 0);
        static bool restartServer(QString& msg);
	static int serverPid();
	static int serverOwner();

protected slots:
	void slotOk();
        void slotApply();

protected:
	void constructDialog();
	void restartServer();

private:
	QList<CupsdPage>	pagelist_;
	CupsdConf		*conf_;
	QString			filename_;
};

#endif
